%define name	libmstun
%define oname	mstun
%define version 0.5.0
%define svn	3565
%define release %mkrel %svn.1

%define major	0
%define libname %mklibname %{oname} %major
%define develname %mklibname %{oname} -d

Name: 	 	%{name}
Summary: 	Stun library from MiniSip
Version: 	%{version}
Release: 	%{release}

Source:		http://www.minisip.org/source/%{name}-%{svn}.tar.bz2
URL:		http://www.minisip.org/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libmutil-devel >= 0.3.1-3565.0
BuildRequires:	libmcrypto-devel >= 0.3.1-3565.0
BuildRequires:	libmnetutil-devel >= 0.3.1-3565.0

%description
The 'libmstun' package provides classes that implement the STUN client,
as used by libminisip.  In the future, this package should contain both
client and server STUN implementations, which will be used by 'ministun'
to provide a re-usable CLI and daemon applications.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %name

%build
./bootstrap
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.5.0-3565.1mdv2008.1
+ Revision: 164901
- New svn snapshot
- new devel policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Austin Acton <austin@mandriva.org> 0.5.0-3418.1mdv2008.0
+ Revision: 81331
- new svn checkout


* Sun Dec 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-0.20061210.1mdv2007.0
+ Revision: 94495
- use stricter build deps
- new snap (20061210)

* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-0.20060517.1mdv2007.1
+ Revision: 94270
- Import libmstun

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.5.0-0.20060517.1mdk
- initial package

